# Type Alias: ToPlugin()\<T, U, N>

```ts
type ToPlugin<T, U, N> = (config?: U) => PluginData<T, U, N>;

```

## Type Parameters[​](#type-parameters "Direct link to Type Parameters")

| Type Parameter         |
| ---------------------- |
| `T`                    |
| `U`                    |
| `N` *extends* `string` |

## Parameters[​](#parameters "Direct link to Parameters")

| Parameter | Type |
| --------- | ---- |
| `config?` | `U`  |

## Returns[​](#returns "Direct link to Returns")

`PluginData`<`T`, `U`, `N`>
